lp:~ubuntu-desktop/inkscape/ubuntu

Created by Robert Ancell on 2009-06-10 and last modified on 2015-07-06
Get this branch:
bzr branch lp:~ubuntu-desktop/inkscape/ubuntu
Members of Ubuntu Desktop can upload to this branch. Log in for directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Ubuntu Desktop
Project:
Inkscape
Status:
Development

Recent revisions

5. By Daniel Holbach on 2015-07-06

* Merge from Debian unstable (LP: #1471394). Remaining changes:
  - debian/control:
    + build-depend on dh-translation to handle Ubuntu translation,
    + demote pstoedit from Recommends to Suggests (because it's in
      universe),
  - debian/rules:
    + add dh_translation to handle Ubuntu translation
* debian/control: dh-python b-dep added
* debian/README.source: file dropped (Closes: #696924)
* debian/patches/reproducible-build.patch: add to allow reproducible build.
* debian/rules: enable hardening.
* debian/control: Replace recommends on perlmagick (which is a transitional
  package) by libimage-magick-perl.
  Thanks to Martin Michlmayr <email address hidden> for reporting (Closes: #789232)
* Upload to unstable
* debian/control: set DMM Team as Maintainer
* debian/gbp.conf: git-dch -> dch parameter fixed
* debian/control: add myself to Uploaders
* debian/control: update Vcs-* links to point
  the repo in the pkg-multimedia namespace
* No-change rebuild against new poppler
* Merge from Debian unstable (LP: #1416651). Remaining changes:
  - debian/control:
    + build-depend on dh-translation to handle Ubuntu translation,
    + demote pstoedit from Recommends to Suggests (because it's in
      universe),
  - debian/rules:
    + add dh_translation to handle Ubuntu translation
* debian/patches/0006_add_unity_quicklist_support.patch: dropped, accepted
  upstream.
* Cherry-pick commit from unstable suite
  - debian/control: build-dependencies updated [b4f5c6f]
    - librevenge-dev added
    - libwpd-dev (>= 0.9.0) dropped
    - libwpg-dev (>= 0.2.0) bumped to libwpg-dev (>= 0.3.0)
* debian/rules: override_dh_auto_test dropped (Closes: #776857)
* New upstream release
* New upstream pre-release
* New upstream pre-release
* debian/control: Uploader e-mail address updated
* debian/control: S-V bump 3.9.5 => 3.9.6 (no changes needed)
* New upstream pre-release
* New upstream pre-release
  - debian/control: poppler versioning dropped
  - debian/patches/: patchset updated
    - 0002-Fix_FTBFS_on_poppler-0.26.patch dropped (applied upstream)
* debian/control: libcdr-dev and libvisio-dev b-deps added (Closes: #751090)
* New upstream pre-release
  - debian/control: python-lxml b-dep added
  - debian/rules: dh_auto_test overridden for test purpose
  - debian/patches/: patchset refreshed against v0.91~pre0
    - 0001-Fix_Datamatrix_UI_issue.patch dropped (applied upstream)
    - 0002-Drop_PS_and_PDF_support_in_MimeType.patch => #0001
    - 0003-Fix_LP_-911146.patch dropped (applied upstream)
    - 0004-Fix_FTBFS_on_gcc-4.8.patch dropped (applied upstream)
    - 0005-Fix_FreeType_include.patch dropped (applied upstream)
    - 0006-Fix_FTBFS_on_poppler-0.26.patch updated and => #0002
* debian/control: b-dep bump to use poppler (>= 0.26)
* Merge from Debian unstable. Remaining changes:
  - debian/control:
    + build-depend on dh-translation to handle Ubuntu translation,
    + demote pstoedit from Recommends to Suggests (because it's in universe),
  - debian/patches/0006_add_unity_quicklist_support.patch: add.
  - debian/rules:
    + add dh_translation to handle Ubuntu translation
* debian/patches/: patchset updated
  - 0006-Update_to_new_libwpg.patch refreshed
  - 0007-Fix_API_mismatch.patch added (Closes: #754716)
    Thanks to Pino Toscano (pino) for the patch.
* New upstream pre-release
* No-change rebuild for new poppler
* Rebuild against libmagickcore-6.q16-2.
* Merge with Debian Unstable (LP: #1358863). Fixes several Ubuntu bugs:
  - Illustrator CS SVG won't load: namespace URIs in entities (LP: #166371)
  - inkscape crashed with SIGSEGV in
    sp_dtw_color_profile_event() (LP: #966441)
  - inkscape crashed with SIGSEGV (LP: #1051017)
  - inkscape crashed with SIGSEGV in Inkscape::Preferences::_getNode()
    (LP: #1163241)
  - save a copy reverts to save as (LP: #529843)
  - Extension to braille not working on Xubuntu 12.10 (LP: #1090865)
* Remaining changes:
  - debian/control:
    + Set Ubuntu Developer as maintainer,
    + build-depend on dh-translation to handle Ubuntu translation,
    + demote pstoedit from Recommends to Suggests (because it's in universe),
  - debian/patches/0006_add_unity_quicklist_support.patch: add.
  - debian/patches/series: update.
  - debian/rules:
    + add dh_translation to handle Ubuntu translation
* Drop debian/patches/librevenge.patch (superseded by
    debian/patches/0006-Update_to_new_libwpg.patch)
* debian/patches/: patchset updated
  - 0006-Update_to_new_libwpg.patch added (Closes: #753430)
    Thanks to Rene Engelhard (rene) for the patch.
* debian/control: build-dependencies updated
  - librevenge-dev added
  - libwpd-dev (>= 0.9.0) dropped
  - libwpg-dev (>= 0.2.0) bumped to libwpg-dev (>= 0.3.0)
* debian/: dh-autoreconf usage applied
* debian/rules: fix FTBFS on alpha (Closes: #738155)
* debian/patches/: patchset updated against v0.48.5
  - 0004-Fix_FTBFS_on_gcc-4.8.patch refreshed
  - 0005-Fix_FreeType_include.patch dropped (applied upstream)
  - 0006-Fix_FTBFS_on_poppler-0.26.patch dropped (applied upstream)
  - 0005-Fix_FTBFS_due_to_tests.patch added
* Imported Upstream version 0.48.5
* New upstream pre-release
  - debian/control: poppler versioning dropped
  - debian/patches/: patchset updated
    - 0002-Fix_FTBFS_on_poppler-0.26.patch dropped (applied upstream)
* debian/control: libcdr-dev and libvisio-dev b-deps added (Closes: #751090)
* New upstream pre-release
  - debian/control: python-lxml b-dep added
  - debian/rules: dh_auto_test overridden for test purpose
  - debian/patches/: patchset refreshed against v0.91~pre0
    - 0001-Fix_Datamatrix_UI_issue.patch dropped (applied upstream)
    - 0002-Drop_PS_and_PDF_support_in_MimeType.patch => #0001
    - 0003-Fix_LP_-911146.patch dropped (applied upstream)
    - 0004-Fix_FTBFS_on_gcc-4.8.patch dropped (applied upstream)
    - 0005-Fix_FreeType_include.patch dropped (applied upstream)
    - 0006-Fix_FTBFS_on_poppler-0.26.patch updated and => #0002
* debian/control: b-dep bump to use poppler (>= 0.26)
* Build with experimental patch against librevenge.
* Merge with Debian unstable. Remaining changes:
  - debian/control:
    + Set Ubuntu Developer as maintainer,
    + build-depend on dh-translation to handle Ubuntu translation,
    + demote pstoedit from Recommends to Suggests (because it's on universe),
  - debian/patches/0006_add_unity_quicklist_support.patch: add.
  - debian/patches/series: update.
  - debian/rules:
    + add dh_translation to handle Ubuntu translation,
    + add python2 to dh addon.
* debian/patches/: patchset updated
  - 0006-Fix_FTBFS_on_poppler-0.26.patch added
* debian/: python dependency fixed
* debian/control: b-dep bump liblcms1-dev => liblcms2-dev (Closes: #745533)
* 0007-Poppler-0.26-compatibility.patch: Take patch from bug #1315142 to fix
  compatibility with poppler 0.26.
* Rebuild for the new poppler soname
* Merge from Debian unstable (LP: #1225013). Remaining changes:
  - debian/control:
    + Set Ubuntu Developer as maintainer,
    + build-depend on dh-translation to handle Ubuntu translation,
    + build against liblcsm2 instead of liblcsm1,
    + demote pstoedit from Recommends to Suggests (because it's on universe),
    + add a ${python:Depends}.
  - debian/patches/0006_add_unity_quicklist_support.patch: add.
  - debian/patches/series: update.
  - debian/rules:
    + add dh_translation to handle Ubuntu translation,
    + add python2 to dh addon.
* Debian changes:
  - debian/control: make description more user-friendly (LP: #811634)
* debian/control: S-V bump 3.9.4 => 3.9.5 (no changes needed)
* debian/control: Uploader e-mail address updated
* debian/patches/: patchset updated
  - 0005-Fix_FreeType_include.patch added (Closes: #733118)
    Thanks to Adam Conrad for the patch.
* debian/control: fields update
  - Duplicate Homepage field removed
  - VCS-* fields repositioned
* debian/watch: path updated
* debian/: dh bump 7 => 9
* debian/source/format: 3.0 (quilt) file added
* debian/patches/: patchset re-worked using gbp-pq
  - patches re-worked using gbp-pq (authorships kept)
  - debian/control: quilt b-dep dropped
  - debian/rules: quilt usage dropped
* debian/gbp.conf: file added
* debian/control: autotools-dev b-dep added
* debian/rules: drastic simplification
* debian/control: S-V bump 3.8.3 => 3.9.4 (no changes needed)
* debian/control: python-lxml Suggests => Recommends (Closes: #389540)
* debian/control: python-numpy Suggests => Recommends (Closes: #440566)
* debian/control: libgnomevfs2-extra Suggests => Recommends
  (Closes: #602599)
* debian/control: skencil Suggests dropped.
  The package has been removed from unstable
  on 2010-09-03 and from testing on 2010-09-04. (Closes: #712192)
* debian/control: transfig added to Recommends (Closes: #601770)
* debian/control: python dropped from Suggests (Closes: #628009)
* debian/control: Package description updated.
  Thanks to Phil Bull <email address hidden> for the new description.
  (Closes: #635244) (LP: #811634)
* 05-freetype-include.patch: Use freetype upstream's recommended include.
* No change rebuild with the new poppler
* Rebuild to pick up new libgc package name
* Merge from Debian Unstable (LP: #1194855)
  - debian/control:
    + Ubuntu maintainers
    + Build against lcms2
    + promote libgnomevfs2-extra to recommends
    + Demote pstoedit to Suggests (universe package).
    + Suggest transfig to allow import of xfig files
    + Drop unnecessary python and skencil suggestions
  - Handle translation tasks for Ubuntu main:
    + debian/rules: Add dh_translations to binary-arch rule
    + debian/control: Build-Depends dh-translations
  - Drop debian/patches/bzr-fix-for-gcc48.patch: Superseded by
    04-Fix_FTBFS_on_gcc-4.8.patch
  - debian/patches/01_add_unity_quicklist_support.patch: add "New Drawing"
    to Unity quicklist
* Upload to unstable
* debian/control: added myself to Uploaders
* debian/patches/: patchset updated
  - 04-Fix_FTBFS_on_gcc-4.8.patch added (Closes: #701297)
* debian/patches/bzr-fix-for-gcc48.patch: fix build with gcc 4.8.
* Rebuild to pick up the new libgc1c3 dependency.
* Merge from Debian Experimental (LP: #1106182). Remaining changes:
  - debian/control:
    + Ubuntu maintainers
    + Build against lcms2 (LP: #885324)
    + Drop build-dependency on specific libwpd/libwpg version.
    + promote libgnomevfs2-extra to recommends (lp: #496223)
    + Demote pstoedit to Suggests (universe package).
    + Suggest transfig to allow import of xfig files (LP: #668300)
    + Drop unnecessary python and skencil suggestions (LP: #762541)
    + Promote python-lxml, python-numpy, python-uniconvertor to Recommends.
  - Handle translation tasks for Ubuntu main (LP: #726850):
    + debian/rules: Add dh_translations to binary-arch rule
    + debian/control: Build-Depends dh-translations
  - debian/patches/01_add_unity_quicklist_support.patch: add "New Drawing"
    to Unity quicklist (LP: #676886)
* Non-maintainer upload.
* New upstream release (Closes: #696181)
  - debian/patches/: patch #03 for CVE-2012-5656
    was merged upstream, so dropped our copy
  - libpng15 incompatibility fixed (Closes: #649975)
  - fixes compatibility with poppler 0.20.x (Closes: #679890)
* debian/changelog: old NMU changelog entry added (Closes: #564022)
* New upstream release (LP: #1091308). Fixes several Ubuntu bugs:
  - Inkscape crashed with SIGSEGV in getObject() (LP: #941317)
  - Inkscape crashed with SIGSEGV in
    Inkscape::Extension::Implementation::Script::effect() (LP: #944077)
  - Inkscape crashed with SIGSEGV in
    Inkscape::Extension::Output::get_extension() (LP: #973174)
  - Overlay scrollbars causing input boxes to be small (LP: #946631)
* Drop 03_track_libpoppler25_abi_changes.patch: applied upstream
* Drop 04_track_libpoppler25_abi_changes_colorspace.patch: applied upstream
* Non-maintainer upload.
* Add Debian patch to fix relative filename vulnerability (Closes: #654341).
* Non-maintainer upload.
* Add Debian patch to fix vulnerability CVE-2012-5656 (Closes: #696485).
* Non-maintainer upload.
* Switch the libpng12-dev build dependency to libpng-dev (closes: #662378)
* Add the libpoppler-private-dev build dependency (closes: #660987)
* No change rebuild for poppler transition.
* No change rebuild for poppler transition.
* No change rebuild for libmagick transition
* No change rebuild for libpoppler26 (poppler 0.20.1-1ubuntu1)
* Follow ABI changes for libpoppler25 (poppler 0.20.0-0ubuntu1).
  (LP: #1005565)
* Merge from Debian Unstable (LP: #966221). Remaining changes:
  - debian/control:
    + Ubuntu maintainers
    + Build against lcms2 (LP: #885324)
    + Drop build-dependency on specific libwpd/libwpg version.
    + promote libgnomevfs2-extra to recommends (lp: #496223)
    + Demote pstoedit to Suggests (universe package).
    + Suggest transfig to allow import of xfig files (LP: #668300)
    + Drop unnecessary python and skencil suggestions (LP: #762541)
    + Promote python-lxml, python-numpy, python-uniconvertor to Recommends.
  - Handle translation tasks for Ubuntu main (LP: #726850):
    + debian/rules: Add dh_translations to binary-arch rule
    + debian/control: Build-Depends dh-translations
  - debian/patches/01_add_unity_quicklist_support.patch: add "New Drawing"
    to Unity quicklist (LP: #676886)
* [cb1a6e2] delete 01-libwpg0.2.dpatch since proper patch appied upstream
* [041bdd7] delete 02-add-shebangs-and-fix-permissions.dpatch (applied upstream)
* [518e31b] delete 03-add-missing-mimetypes.dpatch (applied upstream)
* [df995c3] add datamatrix patch from ubuntu (closes: #618835)
* [169ca97] Imported Upstream version 0.48.3.1, this handles the following
  debian bugs:
  - closes: #665560: inkscape: Including individual glib headers no longer supported
  - closes: #627637: JessyInk: Embedded Javascript Broken
  - closes: #559332: inkscape: Cairo rendering broken for "use" elements with
                               scaling or a viewBox
  - closes: #596836: clipart search spews messages in console
  - closes: #628035: inkscape: in the pdf export dialog a wrong pdf version is
                     reported
  - closes: #651196: French manpage has accents replaced by some garbage
  - closes: #633150: inkscape: New upstream version 0.48.3 is available
* [3f6e27a] use quilt instead of dpatch for patch handling
* [dd10775] Acknowledge NMU, inkscape doesn't register for handling of pdf
  and ps anymore (closes: #613752)
* upload sponsored by Guido Guenther <email address hidden>
  Thank you very much!
* promote libgnomevfs2-extra to recommends (lp: #496223)
* New upstream release (LP: #943984)
  - Fixes build errors with glibmm < 2.28
* Build against lcms2 (LP: #885324)
* New upstream release (LP: #933188). Fixes several Ubuntu bugs:
  - inkscape fails to build with glib 2.31 (LP: #898538)
  - ctrl c ctrl v of text in edit mode crashes inkscape (LP: #496793)
  - Completely replace lcms1 by lcms2 in Ubuntu (LP: #885324)
  - parameters ending with '\' causes python to bomb (LP: #168417)
  - Extensions with <check> tags fail to load (LP: #668895)
  - ESC doesn't cancel move when using the Node Tool (LP: #788560)
  - unable to edit attributes in Inkscape XML Editor (LP: #884368)
  - Some layers should be visible by default in Layers dialog (LP: #902054)
  - Path Effect List is hidden (LP: #909958)
  - Input Devices > Hardware > Tree of devices is hidden (LP: #910467)
  - Glyphs Font styles are hidden (LP: #911079)
  - Error messages from Extensions hidden (LP: #911079)
  - Messages dialog doesn't work (LP: #911123)
* Drop 02-add-shebangs-and-fix-permissions.dpatch: Applied upstream.
* Drop build-dependency on specific libwpd/libwpg version.
* No-change rebuild against libpoppler19.
* No-change rebuild to drop spurious libsfgcc1 dependency on armhf.
* No change rebuild for imagemagick4 transition
* New upstream release (LP: #807912). Fixes several Ubuntu bugs:
  - [SVG Font Editor] Crash when kerning an empty pair (LP: #706506)
  - Connector tool crash Inkscake (orthogonal mode) (LP: #771738)
  - Errors printed to console if openclipart search fails (LP: #638844)
  - pdf export with cairo 1.10 defaults to version PDF-1.5 (LP: #664335)
  - Cairo rendering broken for "use" elements when scaling or a viewBox
    (LP: #705345)
  - gimp_xcf.py crashed with TypeError in effect() (LP: #565296)
  - Enable build against libwpg-0.2 (LP: #778951)
  - Please add supported filetypes into MimeType line of inkscape.desktop
    (LP: #278307)
  - Inkscape fails to build with gcc 4.6 (LP: #707205)
* Drop 01-libwpg0.2.dpatch - Applied upstream
* Drop 03-add-missing-mimetypes.dpatch - Applied upstream
* Drop 04-fix-build-with-gcc4.6.dpatch - Applied upstream
* Drop 05-add-missing-includes.dpatch - Applied upstream
* Drop fix-fontforge-glyph-template.dpatch - Applied upstream
* Merge from Debian Unstable (LP: #791728). Remaining changes:
  - debian/control:
    + Ubuntu maintainers
    + Promote python-lxml, python-numpy, python-uniconvertor to Recommends.
    + Demote pstoedit to Suggests (universe package).
    + Suggest transfig to allow import of xfig files (LP: #668300)
    + Drop unnecessary python and skencil suggestions (LP: #762541)
  - Handle translation tasks for Ubuntu main (LP: #726850):
    + debian/rules: Add dh_translations to binary-arch rule
    + debian/control: Build-Depends dh-translations
  - debian/patches/01_add_unity_quicklist_support.patch: add "New Drawing"
    to Unity quicklist (LP: #676886)
  - debian/patches/fix-fontforge-glyph-template.dpatch: Cherry-pick
    patch from uptream trunk to fix layer structure in template (LP: #565296)
  - debian/patches/02-add-shebangs-and-fix-permissions.dpatch: No longer mark
    JavaScript extension files as standalone executables (LP: #602005):
    + share/extensions/*.js: Revert addition of shebangs
    + share/extensions/Makefile.am: Install *.js using _DATA rule rather
      than _SCRIPTS rule to avoid giving executable permission
* debian/patches/fix-datamatrix-ui.dpatch: Prevent invalid input in
  Datamatrix extension dialog (LP: #738108)
* Non-maintainer upload.
* Fix FTBFS with gcc 4.6 (Closes: #624770), Thanks to Alex Valavanis
  for the patch.
  - added 04-fix-build-with-gcc4.6.dpatch
* Fix build issues due to missing includes (Closes: #628226), patch
  taken from upstream.
  - added 05-add-missing-includes.dpatch
* debian/rules: No need to manually call intltool-update on build. This
  is now handled by dh_translations.
* debian/control: No longer suggest python and skencil. They do not
  offer any enhancement to Inkscape (LP: #762541)
* debian/control: Suggest transfig to allow import of xfig files
  (LP: #668300)
* debian/patches/02-add-shebangs-and-fix-permissions.dpatch:
  No longer mark JavaScript extension files as standalone executables
  (LP: #602005):
  - share/extensions/*.js: Revert addition of shebangs
  - share/extensions/Makefile.am: Install *.js using _DATA rule rather
    than _SCRIPTS rule to avoid giving executable permission
* debian/patches/fix-fontforge-glyph-template.dpatch: Cherry-pick
  patch from uptream trunk to fix layer structure in template (LP: #565296)
* debian/rules: Drop broken code to add translation domain to desktop files.
  Replace this with a call to dh_translations. Add dh-translations build
  dependency for this. Thanks to Alex Valavanis for pointing this out, and
  the original patch. (LP: #726850)
* debian/patches/04-fix-gcc4.6-ftbfs.dpatch: Fix build failure with gcc 4.6
  - Backport upstream patch (lp:inkscape:r10071)
  - Add <cstddef> inclusion to src/2geom/utils.h
* debian/patches/01_add_unity_quicklist_support.patch:
  - updated with latest specification
* Merge with Debian unstable (LP: #719648, LP: #278307). Remaining changes:
* debian/control:
  - Ubuntu maintainers
  - Promote python-lxml, python-numpy, python-uniconvertor to Recommends.
  - Demote pstoedit to Suggests (universe package).
* debian/rules:
  - Run intltool-update on build (Ubuntu-specific).
  - Add translation domain to .desktop files (Ubuntu-specific)
* debian/patches/01_add_unity_quicklist_support.patch:
  - add unity quicklist support for a new entry to inkscape (LP: #676886)
* upload to unstable (closes: #611626)
* [d364fdc] link against libwpg0.2/libwpd0.9 (closes: 604825)
  Thanks to Rene Engelhard <email address hidden> for his work and the patch!
* upload sponsored by Guido Guenther <email address hidden>
  Thank you very much!
* [f6250fa] Imported Upstream version 0.48.1
* [e5b9206] remove debian/patches/01-end-drag-fix.dpatch since applied
  upstream
* [2b6fb5b] add patch to fix shebang lines in extensions scripts
* [f38e3e1] drop dependency upon ttf-bitstream-vera (closes: #597503)
* [0a91fb1] binary depends on ${misc:Depends} as indicated by lintian
* [02b4953] depend on libmagick++-dev instead of libmagick++9-dev
* [ea095c3] Add supported mime types (closes: #596982)
* debian/patches/01_add_unity_quicklist_support.patch:
  - add unity quicklist support for a new entry to inkscape (LP: #676886)
* New upstream version (LP: #710619). Fixes several Ubuntu bugs:
  - Node editing causes segmentation fault (LP: #544599)
  - Cursor position markers are not cleared from rulers (LP: #627134)
  - Crashes when opening document properties (LP: #658055)
  - Export to XCF error with default template (LP: #485032)
  - Editing a connector in a transformed group returns it to original
    position (LP: #533897)
  - Ungrouping objects changes position of arrow lines (LP: #552289)
  - Will not save XCF file (LP: #642417)
  - XCF export fails when exporting from unsaved document (LP: #650890)
* Drop all patches: Applied upstream
* debian/rules: Disable chmod on debian/patches/* in clean rule (no patches used)
* debian/patches/0001-Fix-build-with-Poppler-0.15.1.dpatch: Backport
  upstream patch to fix Poppler build issues in Natty (LP: #676271)
* Bug-fix release (LP: #645888)
* Added 02-fix-binutils-gold-build-failure.dpatch (LP: #662979)
* debian/control: No longer suggest ttf-dejavu (LP: #643371)
* Merge with Debian unstable (LP: #628048, LP: #401567, LP: #456248,
  LP: #463602, LP: #591986)
* debian/control:
  - Ubuntu maintainers
  - Promote python-lxml, python-numpy, python-uniconvertor to Recommends.
  - Demote pstoedit to Suggests (universe package).
  - Suggests ttf-dejavu instead of ttf-bitstream-vera (LP: #513319)
* debian/rules:
  - Run intltool-update on build (Ubuntu-specific).
  - Add translation domain to .desktop files (Ubuntu-specific).
* debian/dirs:
  - Add usr/share/pixmaps. Allow inkscape.xpm installation
* drop 50-poppler-API.dpatch (now upstream)
* drop 51-paste-in-unwritable-directory.dpatch (now upstream)
* [cae07a3] New Upstream version 0.48.0
* [309c498] add patch to fix crash in node tool
* The highlights of this release are:
    - multipath editing
    - improved text tool: subscript, superscript, numerical input for text kerning, tracking and more
    - new Airbrush tool
    - LaTeX export with PDF/PS/EPS
    - JessyInk extension to create presentations
    - numerous bugfixes
* [56702cf] don't build-depend on libssl-dev (closes: #573338)
* [013b235] wrap lines in debian/control. patch by Benjamin Drung,
  many thanks to him (closes: #576357)
* [747d3d1] add README.source adopted from nagios to make lintian a
  bit happier
* [4df0df7] Remove all patches since they are applied upstream
* 51-paste-in-unwritable-directory.dpatch, debian/control: Allow paste
  from clipboard when in unwritable working directory (LP: #211607)
* debian/control: Replaced ttf-bitstream-vera suggestion with ttf-dejavu
  (LP: #513319).
* Merge from debian testing (LP: #533584, LP: #486425). Remaining changes:
  - debian/control:
    - drop libssl-dev, no longer needed (Closes: #573338).
    - promote python-lxml, python-numpy, python-uniconvertor to Recommends.
    - demote pstoedit to Suggests (universe package).
  - debian/rules:
    - Run intltool-update on build (Ubuntu-specific).
    - Add translation domain to .desktop files (Ubuntu-specific).
  - 50-poppler-API.patch, debian/control: poppler 0.12.2 changed the
    GfxColorSpace API (LP: #487038).
* Build depend on libaspell-dev, recommend aspell, add explanation to
  package description (closes: #562060)
* update debian/watch patch by Kees Cook, many thanks to him
  (closes: #562225)
* process DEB_BUILD_OPTIONS for "parallel=N" flag patch by Kees Cook,
  many thanks to him. (Closes: #562226)
* Add patch to update man-page (closes:#570494)
* remove old unneeded patches
* upload sponsored by Guido Guenther <email address hidden>
* Brown paper bag update: actually use the correct version of the
  source tree.
* Merge with Debian testing (LP: #498150). Remaining changes:
  - debian/control:
    - promote python-lxml, python-numpy, python-uniconvertor to Recommends.
    - demote pstoedit to Suggests (universe package).
    - drop libssl-dev, no longer needed (Debian bug 484527).
  - debian/rules:
    - Handle parallel builds via -j (Debian bug 562226).
    - Run intltool-update on build (Ubuntu-specific).
    - Add translation domain to .desktop files (Ubuntu-specific).
  - debian/watch:
    - Correctly handle "pre" versions (Debian bug 562225).
* 50-poppler-API.patch, debian/control: poppler 0.12.2 changed the
  GfxColorSpace API (LP: #487038).
* Imported Upstream version 0.47
* This is upstream version 0.47, I added the .0 because
  I forget the ~ in the -pre versions.
* add proper Vcs-fields to debian/control
* upload sponsored by Guido Guenther <email address hidden>
* Imported Upstream version 0.47pre4
* upload sponsored by Guido Guenther <email address hidden>
* fix installation of usr/share/application-
  registry/inkscape.applications
* upload sponsored by Guido Guenther <email address hidden>
* new upstream release (closes: #532277)
  Improvements and new features include:
  - code cleanups and refractoring
  - autosave feature, configurable via Inkscape preferences
  - new and enhanced tools, extensions and filters
  - new path effects
  - enhanced import and export features
  - improved svg support
  - many other improvements and new features. For a better and more
    comprehensive decription of enhancements see the online release notes at
    http://wiki.inkscape.org/wiki/index.php/Release_notes/0.47
* remove 04-only-use-valid-font-families-in-text-tool.dpatch
  since there is a better fix in the code now (closes: #496784)
* remove other patches which are no longer needed:
  - 01_mips.dpatch
  - 02-poppler-0.8.3.dpatch
  - 03-chinese-inkscape.dpatch
  - 05_fix_latex_patch.dpatch
  - 06_gcc-4.4.dpatch
  - 07_cdr2svg.dpatch
  - 08_skip-bad-utf-on-pdf-import.dpatch
  - 09_gtk-clist.dpatch
  - 10_belarussian.dpatch
  - 12_desktop.dpatch
  fix patch permissions in clean target
* upload sponsored by Guido Guenther <email address hidden>
* build-depend on libgsl0-dev
* small adations to debian/rules
* New upstream pre-release, bug-fixes only (LP: #432328).
* No-change rebuild against libmagick++2.
* New upstream release.
  - Don't constrain maximization on small resolution devices (pre0)
    (LP: #348842)
  - Fixes segfault on startup (pre0)
    (LP: #391149)

* New upstream release
* debian/control: Adding libgsl0 and removing version specifics on boost
* debian/watch: updated to run uupdate and mangle pre-release versions.
* Dropped patches that have been taken upstream:
  - 01_mips
  - 02-poppler-0.8.3
  - 03-chinese-inkscape
  - 05_fix_latex_patch
  - 06_gcc-4.4
  - 07_cdr2svg
  - 08_skip-bad-utf-on-pdf-import
  - 09_gtk-clist
  - 10_belarussian
  - 11_libpng
  - 12_desktop
  - 13_slider
  - 100_svg_import_improvements
  - 102_sp_pattern_painter_free
  - 103_bitmap_type_print
* Non-maintainer upload.
* 03-gtk-includes.dpatch: patch from Ubuntu to fix FTBFS caused by
  wrong GTK+ includes. Closes: #518633.

4. By Daniel Holbach on 2009-06-12

merge Robert's merge

3. By Robert Ancell on 2009-06-10

104_gtk_zero_pagesize.dpatch is obsoleted by 13_slider.dpatch

2. By Robert Ancell on 2009-06-10

* Merge from debian unstable, remaining changes: (LP: #385476)
  - debian/patches/100_svg_import_improvements.dpatch:
    - 'style' elements at the top level are not lost on import
    - Contents of top-level 'defs' elements are not lost on import
    - layers are unlocked when they are converted to ordinary groups
  - debian/patches/101_gtk_marshal.dpatch:
    - Fix build errors against gtk+-2.13.x
  - debian/patches/102_sp_pattern_painter_free.dpatch:
    - sp_pattern_painter_free that occurs when drawing gears and creating 3d
      boxes.
  - debian/patches/103_bitmap_type_print.dpatch:
    - Bitmap-type print to printer and preview produces low resolution output.
  - debian/patches/104_gtk_zero_pagesize.dpatch:
    - Cherry pick from 0.47 SVN for the "color value limited to 245" bug
    - Cherry pick from 0.47 SVN for other GtkAdjustment related warnings
  - debian/control:
    - Set python-lxml, python-numpy, python-uniconvertor as Recommends
    - Build-Depends on automake (>= 1.10), libboost1.35-dev
    - move pstoedit from Recommends to Suggests
  - debian/rules:
    - Handle parallel builds via -j
    - Run intltool-update on build
    - Add translation domain to .desktop files
* add 13_slider.dpatch by Marco Presi <email address hidden>
  to allow the full range of values for r/g/b/alpha channels
  (closes: #525100)
* upload sponsored by Guido Guenther <email address hidden>
* Try to workaround libpng-bug by 11_libpng.dpatch
  (closes: #522477).
* upload sponsored by Guido Guenther <email address hidden>
* apply patch Arthur Loiret to fix GPREL16 relocation errors on
  alpha (Closes: #521767).
* Acknowledge NMU for 0.46-5.1 by Josselin Mouette, which happened quite
  parallel to the upload of 0.46-6
* raise Standards-Version to 3.8.1
* raise debhelper compat mode and dependency to 7
* add dh_desktop to install target in debian/rules
  to fix lintian warning desktop-mimetype-without-update-call
* fix lintian warnings description-contains-homepage
  and debian-rules-ignores-make-clean-error
* fix config changes in .diff.gz
* upload sponsored by Guido Guenther <email address hidden>
* fix typo: suggest python-uniconvertor instead of python-uniconverter
  (Closes: #506217)
* add 09_gtk-clist.patch to work around a gtk bug (closes: #518633)
  patch taken from https://bugs.launchpad.net/inkscape/+bug/238223
* upload sponsored by Guido Guenther <email address hidden>
* add 10_belarussian.dpatch by Hleb Valoshka
  (closes: #514549)

1. By Robert Ancell on 2009-06-10

initial inkscape import

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
This branch contains Public information 
Everyone can see this information.

Subscribers